<div>
    <table>
        <tr>
            <td><span [ngClass]="{ complete: item.complete }">{{ item.label }}</span></td>
            <td><button type="button" [routerLink]="['/todos', item.id, 'edit']">Edit</button></td>
            <td><button type="button" (click)="onChange.emit({ todo: item });">Done</button></td>
            <td><button type="button" (click)="onRemove.emit({ todo: item });">Delete</button></td>
        </tr>
    </table>
</div>